mscorlib 4.0.0.0 System.Object System.IDisposable System.Diagnostics.DebuggerDisplay("Initial Count={InitialCount}, Current Count={CurrentCount}") To be added.

Represents a synchronization primitive that is signaled when its count reaches zero.

- Constructor
  4.0.0.0

  iI is 0, the event is created in a signaled state.

  Initializes a new instance of class with the specified count.

  The number of signals initially required to set the .
- Method
  4.0.0.0
  System.Void To be added.

  Increments the 's current count by one.

- Method
  4.0.0.0
  System.Void `` To be added.

  Increments the 's current count by a specified value.

  The value by which to increase .
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of remaining signals required to set the event.

- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Void ``

  Unlike most of the members of , is not thread-safe and may not be used concurrently with other members of this instance.

  Releases the unmanaged resources used by the , and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the numbers of signals initially required to set the event.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Determines whether the event is set.

- Method
  4.0.0.0
  System.Void

  Unlike most of the members of , Reset is not thread-safe and may not be used concurrently with other members of this instance.

  Resets the to the value of .

- Method
  4.0.0.0
  System.Void ``

  This method resets for all subsequent accesses of the property on the current instance. Unlike most of the members of , Reset is not thread-safe and may not be used concurrently with other members of this instance.

  Resets the property to a specified value.

  The number of signals required to set the .
- Method
  4.0.0.0
  System.Boolean To be added.

  Registers a signal with the , decrementing the value of .

  true if the signal caused the count to reach zero and the event was set; otherwise, false.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Registers multiple signals with the , decrementing the value of by the specified amount.

  true if the signals caused the count to reach zero and the event was set; otherwise, false.

  The number of signals to register.
- Method
  4.0.0.0
  System.Boolean To be added.

  Attempts to increment by one.

  true if the increment succeeded; otherwise, false. If is already at zero, this method will return false.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Attempts to increment by a specified value.

  true if the increment succeeded; otherwise, false. If is already at zero this will return false.

  The value by which to increase .
- Method
  4.0.0.0
  System.Void

  The caller of this method blocks indefinitely until the current instance is set. The caller will return immediately if the event is currently in a set state.

  Blocks the current thread until the is set.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Blocks the current thread until the is set, using a 32-bit signed integer to measure the timeout.

  true if the was set; otherwise, false.

  The number of milliseconds to wait, or (-1) to wait indefinitely.
- Method
  4.0.0.0
  System.Void ``

  The caller of this method blocks indefinitely until the current instance is set. The caller will return immediately if the event is currently in a set state. If the being observed is canceled during the wait operation, an will be thrown.

  Blocks the current thread until the is set, while observing a .

  The to observe.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Blocks the current thread until the is set, using a to measure the timeout.

  true if the was set; otherwise, false.

  A that represents the number of milliseconds to wait, or a that represents -1 milliseconds to wait indefinitely.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Blocks the current thread until the is set, using a 32-bit signed integer to measure the timeout, while observing a .

  true if the was set; otherwise, false.

  The number of milliseconds to wait, or (-1) to wait indefinitely. The to observe.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Blocks the current thread until the is set, using a to measure the timeout, while observing a .

  true if the was set; otherwise, false.

  A that represents the number of milliseconds to wait, or a that represents -1 milliseconds to wait indefinitely. The to observe.
- Property
  4.0.0.0
  System.Threading.WaitHandle To be added.

  should only be used if it's needed for integration with code bases that rely on having a WaitHandle. If all that's needed is to wait for the to be set, the method should be preferred.

  Gets a that is used to wait for the event to be set.